Create Campaign
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/campaign/create_with_touchpoint \
--header 'Authorization: <authorization>'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/campaign/create_with_touchpoint"
headers = {"Authorization": "<authorization>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<authorization>'}};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/campaign/create_with_touchpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"status": "<string>"
}
}Campaigns
Create Campaign
Create a new campaign.
POST
/
v2
/
campaign
/
create_with_touchpoint
Create Campaign
Authorizations
string
required
Enter your ContactSwing JWT Bearer token.
Request Body
string
required
Campaign display name
string
Campaign type.
string
The business goal of the campaign.
string
The company plan ID.
string
The workspace ID.
Response
201 Created - Campaign created successfullystring
Request context ID
⌘I

